package com.muyu.car.gateway.service;

import com.muyu.car.gateway.domain.model.MqttServerModel;
import com.muyu.car.gateway.domain.req.VehicleConnectionReq;
import com.muyu.common.core.domain.Result;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-26-20:15
 * @ Version：1.0
 * @ Description：车辆一键操作业务层
 */
public interface CarOneClickOperationService {

    /**
     * 获取连接
     *
     * @param vehicleConnectionReq 车辆连接请求参数
     * @return
     */
    Result<MqttServerModel> getConnect(VehicleConnectionReq vehicleConnectionReq);
}
