package com.muyu.data.processing.domain;

import lombok.*;

import java.io.Serializable;

/**
 * 报文信息 时序实体类
 *
 * @Author: 胡杨
 * @Name: DataProcessing
 * @Description: 报文信息 时序实体类
 * @CreatedDate: 2024/9/28 下午3:48
 * @FilePath: com.muyu.data.processing.domain
 */

@Data
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BasicData implements Serializable {

    private String key;
    private String label;
    private String value;
    private String type;

}

