package com.muyu.data.processing.service;


/**
 * 数据处理业务层
 *
 * @Author: 胡杨
 * @Name: DataProcessing
 * @Description: 数据处理业务层
 * @CreatedDate: 2024/9/28 下午3:52
 * @FilePath: com.muyu.data.processing.server
 */

public interface DataProcessingService{

    /**
     * 启动或停止实时数据
     *
     * @param vin    车辆vin码
     * @param status 开关状态
     * @return 返回结果
     */
    String carRealTimeStatus(String vin, Boolean status);
}
