package com.muyu.openbusiness.apply;

import com.muyu.common.cache.abs.CacheAbs;
import com.muyu.openbusiness.domain.SysCarMessage;
import org.springframework.stereotype.Component;

import java.util.List;
@Component
public class MessageValueCacheService extends CacheAbs<String, List<SysCarMessage>> {


//缓存

    @Override
    public List<SysCarMessage> getData(String key) {
        return new InforMationDataService().getData(key);

    }

    @Override
    public List<SysCarMessage> defaultValue() {
        return new InforMationDataService().defaultValue();
    }

    @Override
    public String keyPre() {
        return "messageVlue:info:";
    }

    @Override
    public String decode(String key){
        return key.replace("messageValue:info", "");
    }
}
