package com.muyu.car.gateway.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-26-15:53
 * @ Version：1.0
 * @ Description：调用Ali服务器配置实体类
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class AliServerConfig {
    /**
     * 主键
     */
    private Long id;
    /**
     * 地域id (实例所属的地域ID)
     */
    private String regionId;
    /**
     * 镜像id
     */
    private String imageId;
    /**
     * 实例规格 (实例的资源规格)
     */
    private String instanceType;
}
